package com.njcn.gather.icd.pojo.enums;

import lombok.Getter;

/**
 * @author caozehui
 * @data 2025-11-11
 */
@Getter
public enum IcdResponseEnum {
    FILE_NOT_NULL("A018001", "映射文件不能为空"),
    FILE_TYPE_ERROR("A018002", "映射文件类型错误"),
    FILE_SIZE_ERROR("A018003", "映射文件大小超出限制"),
    ICD_FILE_NOT_NULL("A018004", "ICD原始文件不能为空"),
    ICD_FILE_TYPE_ERROR("A018005", "ICD原始文件类型错误"),
    ICD_FILE_READ_ERROR("A018006", "ICD原始文件读取失败"),
    JSON_FORMAT_ERROR("A018007", "JSON格式错误"),
    XML_FORMAT_ERROR("A018008", "XML格式错误"),
    STANDARD_ICD_IN_USE("A018009", "该标准ICD已被非标准ICD引用，禁止删除"),
    ICD_FILE_NOT_FOUND("A018010", "ICD原始文件不存在"),
    ICD_EXPORT_FAILED("A018011", "ICD导出失败"),
    ICD_NOT_FOUND("A018012", "ICD不存在"),
    RESULT_NOT_NULL("A018013", "结论不能为空"),
    MSG_NOT_BLANK("A018014", "当结论为否时，描述不能为空"),
    TYPE_NOT_NULL("A018015", "ICD类型不能为空"),
    TYPE_VALUE_ERROR("A018016", "ICD类型取值错误"),
    REFERENCE_ICD_NOT_BLANK("A018017", "非标准ICD必须选择参照标准ICD"),
    REFERENCE_ICD_INVALID("A018018", "参照标准ICD无效"),
    GENERATE_FILE("A018019", "文件生成失败"),
    ICD_TXT_SYNC_FAILED("A018020", "ICD txt文件同步失败"),
    REFERENCE_STANDARD_ICD_NAME_NOT_FOUND("A018021", "参照标准ICD名称不存在"),
    EXTERNAL_ICD_ITEM_NOT_NULL("A018022", "导入数据项不能为空"),
    EXTERNAL_ICD_ID_REPEAT("A018023", "导入数据中存在重复id"),
    EXTERNAL_ICD_DELETED_NOT_ALLOW_OVERWRITE("A018024", "该ICD已删除，不允许通过导入覆盖"),
    EXTERNAL_ICD_IMPORT_FAILED("A018025", "ICD导入失败"),
    ANGLE_NOT_NULL("A018026", "是否支持相角不能为空"),
    ANGLE_VALUE_ERROR("A018027", "是否支持相角取值错误"),
    USE_PHASE_INDEX_NOT_NULL("A018028", "是否使用相别指标不能为空"),
    USE_PHASE_INDEX_VALUE_ERROR("A018029", "是否使用相别指标取值错误");

    private final String code;
    private final String message;

    IcdResponseEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }
}
